Solved

Where to get php 5.6 for AIX 7.1?

Posted on 2016-08-05
5
130 Views
Last Modified: 2016-08-24
Does anyone know where I can get either an rpm or install package for PHP 5.6 or later for AIX 7.1?

I have tried the normal download sites but the php versions are much earlier.

Alternately, has anyone built this version of php for AIX from the source, and if so how did it go?

thanks..
0
Comment
Question by:carlmd
[X]
Welcome to Experts Exchange

Add your voice to the tech community where 5M+ people just like you are talking about what matters.

  • Help others & share knowledge
  • Earn cash & points
  • Learn & ask questions
  • 3
  • 2
5 Comments
 
LVL 14

Accepted Solution

by:
kenfcamp earned 500 total points
ID: 41744191
I looked into this and found the following:

IBM indicates their "AIX Toolbox" is available to build compatible packages from Linux sources. PHP is listed among the "supported" packages.

AIX Toolbox
[http://www-03.ibm.com/systems/power/software/aix/linux/toolbox/alpha.html]

More searching @ IBM found that there is a website (recommended by IBM) where you can download AIX built images of packages. -- http://www.bullfreeware.com

They do have PHP 5.3.11 available (along w/ php 7.#) however they are built for AIX 6.1
Research into this indicates the 6.1 installers "should" work on AIX 7.1 (no guarantees)

The files you'll need are:

The PHP HTML-embedded scripting language:
http://www.bullfreeware.com/affichage.php?id=1550

Command-line interface for PHP
http://www.bullfreeware.com/affichage.php?id=1551

Common files for PHP
http://www.bullfreeware.com/affichage.php?id=1552

Files needed for building PHP extensions
http://www.bullfreeware.com/affichage.php?id=1553

Personally I'd give the AIX Toolbox a shot, and roll my my own :)

Hope this helps

Ken
0
 
LVL 20

Author Comment

by:carlmd
ID: 41748499
Attempting AIX Toolbox.
0
 
LVL 14

Expert Comment

by:kenfcamp
ID: 41766682
How did you make out?
0
 
LVL 20

Author Comment

by:carlmd
ID: 41769118
No joy. Trying to build a later version of PHP turned into a nightmare. Went back and found a way to get things to use an older version that had an installp.

Thanks for your help.
0
 
LVL 20

Author Closing Comment

by:carlmd
ID: 41769119
Thanks...
0

Featured Post

Industry Leaders: We Want Your Opinion!

We value your feedback.

Take our survey and automatically be enter to win anyone of the following:
Yeti Cooler, Amazon eGift Card, and Movie eGift Card!

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

Suggested Solutions

Title # Comments Views Activity
Authenticate using sesu from script 7 108
Ajax and PHP 9 53
htaccess block all countries but the US 4 35
Echo'd values in dropdowns 6 28
Part of the Global Positioning System A geocode (https://developers.google.com/maps/documentation/geocoding/) is the major subset of a GPS coordinate (http://en.wikipedia.org/wiki/Global_Positioning_System), the other parts being the altitude and t…
This article discusses how to create an extensible mechanism for linked drop downs.
Learn how to get help with Linux/Unix bash shell commands. Use help to read help documents for built in bash shell commands.: Use man to interface with the online reference manuals for shell commands.: Use man to search man pages for unknown command…
The viewer will learn how to create and use a small PHP class to apply a watermark to an image. This video shows the viewer the setup for the PHP watermark as well as important coding language. Continue to Part 2 to learn the core code used in creat…

740 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question